Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2511)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2512)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! upper bounds of cross section and 3d output changed from nx+1,ny+1 to nx,ny
+! no output of ghost layer data
+! 
+! 2504 2017-09-27 10:36:13Z maronga
 ! Updates pavement types and albedo parameters
 ! 
@@ -2810,5 +2814,5 @@
     LOGICAL      ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
 
-    REAL(wp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf !< 
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf !< 
 
     found = .TRUE.
@@ -2818,12 +2822,12 @@
        CASE ( 'rad_net*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = rad_net(j,i)
                 ENDDO
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    local_pf(i,j,nzb+1) = rad_net_av(j,i)
                 ENDDO
@@ -2836,6 +2840,6 @@
        CASE ( 'rad_lw_in_xy', 'rad_lw_in_xz', 'rad_lw_in_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_in(k,j,i)
@@ -2844,6 +2848,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_in_av(k,j,i)
@@ -2856,6 +2860,6 @@
        CASE ( 'rad_lw_out_xy', 'rad_lw_out_xz', 'rad_lw_out_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_out(k,j,i)
@@ -2864,6 +2868,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_out_av(k,j,i)
@@ -2876,6 +2880,6 @@
        CASE ( 'rad_lw_cs_hr_xy', 'rad_lw_cs_hr_xz', 'rad_lw_cs_hr_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_cs_hr(k,j,i)
@@ -2884,6 +2888,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_cs_hr_av(k,j,i)
@@ -2896,6 +2900,6 @@
        CASE ( 'rad_lw_hr_xy', 'rad_lw_hr_xz', 'rad_lw_hr_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_hr(k,j,i)
@@ -2904,6 +2908,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_lw_hr_av(k,j,i)
@@ -2916,6 +2920,6 @@
        CASE ( 'rad_sw_in_xy', 'rad_sw_in_xz', 'rad_sw_in_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_in(k,j,i)
@@ -2924,6 +2928,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_in_av(k,j,i)
@@ -2936,6 +2940,6 @@
        CASE ( 'rad_sw_out_xy', 'rad_sw_out_xz', 'rad_sw_out_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_out(k,j,i)
@@ -2944,6 +2948,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_out_av(k,j,i)
@@ -2956,6 +2960,6 @@
        CASE ( 'rad_sw_cs_hr_xy', 'rad_sw_cs_hr_xz', 'rad_sw_cs_hr_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_cs_hr(k,j,i)
@@ -2964,6 +2968,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_cs_hr_av(k,j,i)
@@ -2976,6 +2980,6 @@
        CASE ( 'rad_sw_hr_xy', 'rad_sw_hr_xz', 'rad_sw_hr_yz' )
           IF ( av == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_hr(k,j,i)
@@ -2984,6 +2988,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_hr_av(k,j,i)
@@ -3028,5 +3032,5 @@
     LOGICAL      ::  found !< 
 
-    REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf !< 
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf !< 
 
 
@@ -3038,6 +3042,6 @@
       CASE ( 'rad_sw_in' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_in(k,j,i)
@@ -3046,6 +3050,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_in_av(k,j,i)
@@ -3057,6 +3061,6 @@
       CASE ( 'rad_sw_out' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_out(k,j,i)
@@ -3065,6 +3069,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_out_av(k,j,i)
@@ -3076,6 +3080,6 @@
       CASE ( 'rad_sw_cs_hr' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_cs_hr(k,j,i)
@@ -3084,6 +3088,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_cs_hr_av(k,j,i)
@@ -3095,6 +3099,6 @@
       CASE ( 'rad_sw_hr' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_hr(k,j,i)
@@ -3103,6 +3107,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_sw_hr_av(k,j,i)
@@ -3114,6 +3118,6 @@
       CASE ( 'rad_lw_in' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_in(k,j,i)
@@ -3122,6 +3126,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_in_av(k,j,i)
@@ -3133,6 +3137,6 @@
       CASE ( 'rad_lw_out' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_out(k,j,i)
@@ -3141,6 +3145,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_out_av(k,j,i)
@@ -3152,6 +3156,6 @@
       CASE ( 'rad_lw_cs_hr' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_cs_hr(k,j,i)
@@ -3160,6 +3164,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_cs_hr_av(k,j,i)
@@ -3171,6 +3175,6 @@
       CASE ( 'rad_lw_hr' )
          IF ( av == 0 )  THEN
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_hr(k,j,i)
@@ -3179,6 +3183,6 @@
             ENDDO
          ELSE
-            DO  i = nxlg, nxrg
-               DO  j = nysg, nyng
+            DO  i = nxl, nxr
+               DO  j = nys, nyn
                   DO  k = nzb, nzt+1
                      local_pf(i,j,k) = rad_lw_hr_av(k,j,i)
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2511)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2512)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! upper bounds of 3d output changed from nx+1,ny+1 to nx,ny
+! no output of ghost layer data
+! 
+! 2350 2017-08-15 11:48:26Z kanani
 ! Bugfix and error message for nopointer version. 
 ! Additional "! defined(__nopointer)" as workaround to enable compilation of 
@@ -2424,6 +2428,6 @@
         INTEGER(iwp), INTENT(IN)       ::  nzt_do    !< vertical upper limit of the data output (usually nz_do3d)
         LOGICAL, INTENT(OUT)           ::  found     !< 
-        REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb_do:nzt_do) ::  local_pf   !< sp - it has to correspond to module data_output_3d
-        REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg)     ::  temp_pf    !< temp array for urban surface output procedure
+        REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf   !< sp - it has to correspond to module data_output_3d
+        REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr)     ::  temp_pf    !< temp array for urban surface output procedure
         
         CHARACTER (len=varnamelength)                          :: var, surfid
@@ -2900,12 +2904,9 @@
               
         END SELECT
-        
-!--     fill out array local_pf which is subsequently treated by data_output_3d
-        CALL exchange_horiz( temp_pf, nbgp )
-!
-!--  To Do: why reversed loop order
-        DO j = nysg,nyng
-            DO i = nxlg,nxrg
-                DO k = nzb_do, nzt_do
+!
+!--     Rearrange dimensions for NetCDF output
+        DO  j = nys, nyn
+            DO  i = nxl, nxr
+                DO  k = nzb_do, nzt_do
                     local_pf(i,j,k) = temp_pf(k,j,i)
                 ENDDO
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 2511)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 2512)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! ghost layer points removed from output array local_pf
+! 
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
@@ -85,5 +88,5 @@
     LOGICAL      ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
 
-    REAL(wp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf !< 
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf !< 
 
 
@@ -99,6 +102,6 @@
 !       CASE ( 'u2_xy', 'u2_xz', 'u2_yz' )
 !          IF ( av == 0 )  THEN
-!             DO  i = nxlg, nxrg
-!                DO  j = nysg, nyng
+!             DO  i = nxl, nxr
+!                DO  j = nys, nyn
 !                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2(k,j,i)
@@ -107,6 +110,6 @@
 !             ENDDO
 !          ELSE
-!             DO  i = nxlg, nxrg
-!                DO  j = nysg, nyng
+!             DO  i = nxl, nxr
+!                DO  j = nys, nyn
 !                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2_av(k,j,i)
@@ -118,5 +121,5 @@
 !          grid = 'zu'
 !
-!--    In case two-dimensional surface variables are outputted, the user
+!--    In case two-dimensional surface variables are output, the user
 !--    has to access related surface-type. Uncomment and extend following lines
 !--    appropriately (example output of vertical surface momentum flux of u-
@@ -160,3 +163,2 @@
 
  END SUBROUTINE user_data_output_2d
-
Index: palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_3d.f90	(revision 2511)
+++ palm/trunk/SOURCE/user_data_output_3d.f90	(revision 2512)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! ghost layer points removed from output array local_pf
+! 
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
@@ -78,5 +81,5 @@
     LOGICAL      ::  found !< 
 
-   REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb_do:nzt_do) ::  local_pf !< 
+   REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !< 
 
 
@@ -92,6 +95,6 @@
 !       CASE ( 'u2' )
 !          IF ( av == 0 )  THEN
-!             DO  i = nxlg, nxrg
-!                DO  j = nysg, nyng
+!             DO  i = nxl, nxr
+!                DO  j = nys, nyn
 !                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2(k,j,i)
@@ -100,6 +103,6 @@
 !             ENDDO
 !          ELSE
-!             DO  i = nxlg, nxrg
-!                DO  j = nysg, nyng
+!             DO  i = nxl, nxr
+!                DO  j = nys, nyn
 !                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2_av(k,j,i)
Index: palm/trunk/SOURCE/user_parin.f90
===================================================================
--- palm/trunk/SOURCE/user_parin.f90	(revision 2511)
+++ palm/trunk/SOURCE/user_parin.f90	(revision 2512)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! current interface revision number number set to r2512
+! 
+! 2298 2017-06-29 09:28:18Z raasch
 ! user interface current revision updated
 ! 
@@ -102,5 +105,5 @@
 !-- current revision does not match with previous revisions (e.g. if routines
 !-- have been added/deleted or if parameter lists in subroutines have been changed).
-    user_interface_current_revision = 'r2297'
+    user_interface_current_revision = 'r2512'
 
 !
Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 2511)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 2512)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! PALM output does not contain ghost layer data any more
+! avs- and iso2d-related parts removed, handling of compressed data removed
+! 
+! 2365 2017-08-21 14:59:59Z kanani
 ! Vertical grid nesting implemented (SadiqHuq)
 !
@@ -121,10 +125,8 @@
     INTEGER(iwp), DIMENSION(0:1,1000) ::  id_var, levels
 
-    LOGICAL  ::  avs_output, compressed, found, iso2d_output, netcdf_output,   &
-                 netcdf_parallel, netcdf_0, netcdf_1
+    LOGICAL  ::  found, netcdf_output, netcdf_parallel, netcdf_0, netcdf_1
     LOGICAL  ::  vnest
 
     REAL(wp) ::  cpu_start_time, cpu_end_time, dx, simulated_time
-    REAL(wp),  DIMENSION(:),   ALLOCATABLE   ::  eta, ho, hu
     REAL(wp),  DIMENSION(:,:), ALLOCATABLE   ::  pf, pf_tmp
     REAL(spk), DIMENSION(:,:,:), ALLOCATABLE ::  pf3d, pf3d_tmp
@@ -227,9 +229,4 @@
 
 !
-!--       Inquire whether an iso2d parameter file exists
-          INQUIRE( FILE='PLOT2D_'//modus//'_GLOBAL'//TRIM( model_string ), &
-               EXIST=iso2d_output )
-
-!
 !--       Inquire whether a NetCDF file exists
           INQUIRE( FILE='DATA_2D_'//modus//'_NETCDF'//TRIM( model_string ), &
@@ -387,19 +384,11 @@
 !--                File from PE0 contains special information at the beginning,
 !--                concerning the lower and upper indices of the total-domain
-!--                used in PALM (nxag, nxeg, nyag, nyeg) and the lower and
-!--                upper indices of the array to be written by this routine
-!--                (nxa, nxe, nya, nye). Usually in the horizontal directions
-!--                nxag=-1 and nxa=0 while all other variables have the same
-!--                value (i.e. nxeg=nxe).
+!--                used in PALM (nxa, nxe, nya, nye).
 !--                Allocate necessary arrays, open the output file and write
 !--                the coordinate informations needed by ISO2D.
                    IF ( id == 0  .AND.  fanz(0) == 0  .AND.  fanz(1) == 0 ) THEN
-                      READ ( id+110 )  nxag, nxeg, nyag, nyeg
+
                       READ ( id+110 )  nxa, nxe, nya, nye
-                      ALLOCATE ( eta(nya:nye), ho(nxa:nxe), hu(nxa:nxe), &
-                                 pf(nxag:nxeg,nyag:nyeg) )
-                      READ ( id+110 )  dx, eta, hu, ho
-
-
+                      ALLOCATE ( pf(nxa:nxe,nya:nye) )
 !
 !--                   Set actual domain bounds to total domain
@@ -407,21 +396,9 @@
                       ye_do = nye
 
-                      IF ( iso2d_output )  THEN
-                         OPEN ( 2, FILE='PLOT2D_'//modus//TRIM( model_string ),&
-                                   FORM='UNFORMATTED' )
-                         WRITE ( 2 )  dx, eta, hu, ho
-                      ENDIF
                    ENDIF
 !
 !--                Read output time
                    IF ( netcdf_output  .AND.  id == 0 )  THEN
-                      IF ( netcdf_1 )  THEN
-                         READ ( id+110, END=998 )  simulated_time, time_step, av
-                      ELSE
-!
-!--                      For compatibility with earlier PALM versions
-                         READ ( id+110, END=998 )  simulated_time, time_step
-                         av = 0
-                      ENDIF
+                      READ ( id+110, END=998 )  simulated_time, time_step, av
                    ENDIF
 !
@@ -460,9 +437,5 @@
                 ENDDO
 !
-!--             Write the data of the total domain cross-section
-                IF ( iso2d_output )  WRITE ( 2 )  pf(nxa:nxe,nya:nye)
-       
-!
-!--             Write same data in NetCDF format
+!--             Write data in NetCDF format
                 IF ( netcdf_output )  THEN
 #if defined( __netcdf )
@@ -544,5 +517,5 @@
              ENDDO
              CLOSE ( 2 )
-             DEALLOCATE ( eta, ho, hu, pf )
+             DEALLOCATE ( pf )
 
 !
@@ -598,8 +571,4 @@
        CALL SYSTEM_CLOCK( count, count_rate )
        cpu_start_time = REAL( count ) / REAL( count_rate )
-
-!
-!--    Inquire whether an avs fld file exists
-       INQUIRE( FILE='PLOT3D_FLD'//TRIM( model_string ), EXIST=avs_output )
 
 !
@@ -639,12 +608,6 @@
 
 !
-!--    Combination only works, if data are not compressed. In that case, 
-!--    PALM created a flag file (PLOT3D_COMPRESSED)
-       INQUIRE ( FILE='PLOT3D_COMPRESSED'//TRIM( model_string ), &
-            EXIST=compressed )
-
-!
 !--    Find out the number of files and open them
-       DO  WHILE ( found  .AND.  .NOT. compressed )
+       DO  WHILE ( found )
 
           OPEN ( danz+110, &
@@ -678,9 +641,5 @@
              PRINT*, '    3D-data:     ', danz, ' file(s) found'
           ELSE
-             IF ( found .AND. compressed )  THEN
-                PRINT*, '+++ no 3D-data processing, since data are compressed'
-             ELSE
-                PRINT*, '    no 3D-data file available'
-             ENDIF
+             PRINT*, '    no 3D-data file available'
           ENDIF
        ENDIF
@@ -764,19 +723,11 @@
              DO  id = 0, danz-1
 !
-!--             File from PE0 contains special information at the beginning,
-!--             concerning the lower and upper indices of the total-domain used
-!--             in PALM (nxag, nxeg, nyag, nyeg) and the lower and
-!--             upper indices of the array to be written by this routine (nxa,
-!--             nxe, nya, nye, nza, nze). Usually nxag=-1 and nxa=0, nyag=-1
-!--             and nya=0, nzeg=nz and nze=nz_do3d.
-!--             Allocate necessary array and open the output file.
+!--             File from PE0 contains at the beginning the index bounds 
+!--             of PALM's total domain.
+!--             Allocate the array for storing the total domain data
                 IF ( id == 0  .AND.  fanz(0) == 0  .AND.  fanz(1) == 0 )  THEN
-                   READ ( id+110 )  nxag, nxeg, nyag, nyeg
+!                   READ ( id+110 )  nxag, nxeg, nyag, nyeg
                    READ ( id+110 )  nxa, nxe, nya, nye, nza, nze
                    ALLOCATE ( pf3d(nxa:nxe,nya:nye,nza:nze) )
-                   IF ( avs_output )  THEN
-                      OPEN ( 2, FILE='PLOT3D_DATA'//TRIM( model_string ), &
-                             FORM='UNFORMATTED' )
-                   ENDIF
                 ENDIF
 
@@ -818,9 +769,5 @@
 
 !
-!--          Write data of the total domain
-             IF ( avs_output )  WRITE ( 2 )  pf3d(nxa:nxe,nya:nye,nza:nze)
-       
-!
-!--          Write same data in NetCDF format
+!--          Write data of the total domain in NetCDF format
              IF ( netcdf_output )  THEN
 #if defined( __netcdf )
